#include<iostream.h>

void main(void)
{
	int t,RWer_x,RWer_y;
	double RV;
	
	srand((unsigned int)time(NULL));
	
	//ランダムウォーカーの初期位置
	RWer_x=0;//x座標
	RWer_y=0;//y座標
	
	//100回移動させる
	for(t=0;t<100;t++)
	{
		RV=(double)rand()/(double)(RAND_MAX+1);
		
		//ランダムウォーカーの移動
		if(RV<0.25)	RWer_y++;//上に移動
		else if(RV<0.5)	RWer_y--;//下に移動
		else if(RV<0.75)	RWer_x--;//左に移動
		else	RWer_x++;//右に移動
	}
	
	printf("100回移動した後のランダムウォーカーの位置=(%d, %d)",RWer_x,RWer_y);
}
